Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/dcron: new aport

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Thu, 24 Sep 2015 17:16:29 +0200

---
 testing/dcron/APKBUILD    | 50 +++++++++++++++++++++++++++++++++++++++++++++++
 testing/dcron/dcron.confd |  5 +++++
 testing/dcron/dcron.initd | 24 +++++++++++++++++++++++
 3 files changed, 79 insertions(+)
 create mode 100644 testing/dcron/APKBUILD
 create mode 100644 testing/dcron/dcron.confd
 create mode 100644 testing/dcron/dcron.initd
diff --git a/testing/dcron/APKBUILD b/testing/dcron/APKBUILD
new file mode 100644
index 0000000..b731f08
--- /dev/null
+++ b/testing/dcron/APKBUILD
_at_@ -0,0 +1,50 @@
+# Contributor: Sören Tempel <soeren+alpine_at_soeren-tempel.net>
+# Maintainer: Sören Tempel <soeren+alpine_at_soeren-tempel.net>
+pkgname=dcron
+pkgver=4.5
+pkgrel=0
+pkgdesc="dillon's lightweight cron daemon"
+url="http://www.jimpryor.net/linux/dcron.html"
+arch="all"
+license="GPL"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://www.jimpryor.net/linux/releases/${pkgname}-${pkgver}.tar.gz
+	$pkgname.initd
+	$pkgname.confd"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+build() {
+	cd "$_builddir"
+	make PREFIX=/usr \
+		CRONTAB_GROUP=wheel \
+		CRONTABS=/etc/crontabs \
+		CRONSTAMPS=/var/spool/cron/cronstamps \
+		SCRONTABS=/etc/periodic || return 1
+}
+
+package() {
+	cd "$_builddir"
+
+	make DESTDIR="$pkgdir" install || return 1
+	install -Dm644 extra/crond.logrotate "$pkgdir"/etc/logrotate.d/$pkgname || return 1
+
+	install -Dm755 "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname || return 1
+	install -Dm644 "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname || return 1
+
+	install -Dm644 CHANGELOG "$pkgdir"/usr/share/doc/$pkgname/CHANGELOG || return 1
+	install -Dm644 README "$pkgdir"/usr/share/doc/$pkgname/README || return 1
+}
+
+md5sums="078833f3281f96944fc30392b1888326  dcron-4.5.tar.gz
+b5f663560fabc08250e9cc53b74cdee1  dcron.initd
+a9f3fdab61f1646cbc074e6d59364303  dcron.confd"
+sha256sums="9e50edb6f5bd8153b16bad05087d985e5153ce45cc01ae77e7f842213fb4a824  dcron-4.5.tar.gz
+f48b26fc1eacff7298c2f3e2e2a3144280429785c6a067fbe66c71976a9fea1c  dcron.initd
+1e273164865bb8f05d97ef1479c285b86f4104951ac294af883eb65ce100ccd0  dcron.confd"
+sha512sums="08521391d16ba5adf80278ec2a734319c26c48841fd94b119c0b27d744c2cfb3562b1a3630135a03d1c43b1668d49262713abb20ff5f7ecd397a2a19a2f6105a  dcron-4.5.tar.gz
+a419f63ebcd6193e8a5008039ac8f14c4f4400ef95732161c07b754a8d9f0a7dda1f188778a6ee6d364822d371bcfb718dea4902d59779d00181ea2354185bd6  dcron.initd
+05b4a7aeb9d994aa3a37a0f2efa0f560a4eb6dd1fc77d67c85be3397f077bc92a0d647140164a96d48e49b486eef021aef5c3410704d457eda5eb894b46d26fb  dcron.confd"
diff --git a/testing/dcron/dcron.confd b/testing/dcron/dcron.confd
new file mode 100644
index 0000000..61cdf12
--- /dev/null
+++ b/testing/dcron/dcron.confd
_at_@ -0,0 +1,5 @@
+# /etc/conf.d/dcron
+
+# Options to pass to dcron at startup.
+# Default logging is via syslog; use -L to send to file.
+DCRON_OPTS=""
diff --git a/testing/dcron/dcron.initd b/testing/dcron/dcron.initd
new file mode 100644
index 0000000..9fca37f
--- /dev/null
+++ b/testing/dcron/dcron.initd
_at_@ -0,0 +1,24 @@
+#!/sbin/runscript
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sys-process/dcron/files/dcron.init-4.5,v 1.1 2011/05/16 20:28:54 vapier Exp $
+
+depend() {
+	use logger clock hostname
+	provide cron
+}
+
+start() {
+	ebegin "Starting ${SVCNAME}"
+	/usr/sbin/crond ${DCRON_OPTS}
+	eend $?
+}
+
+stop() {
+	ebegin "Stopping ${SVCNAME}"
+	start-stop-daemon --stop --quiet \
+		--pidfile /var/run/crond.pid --exec /usr/sbin/crond
+	local ret=$?
+	rm -f /var/run/crond.pid
+	eend ${ret}
+}
-- 
2.5.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Sep 24 2015 - 17:16:29 GMT